function [S0, S1, S2] = pca1_e(Y, u, lambda)

% pca1_e  Computes the EM statistics for one data point.
% Use [S0, S1, S2] = pca1_e(Y, u, lambda) where
%       Y:      observation (d x 1)
%       u:      first PCA factor (d x 1)
%       lambda: noise variance (scalar)
% and
%       S0 (scalar)
%       S1 (d x 1)
%       S2 (scalar)
%
% $Id: pca1_e.m,v 1.1 2010-07-15 13:37:52 cappe Exp $
    
% Dimensions
d = length(Y);

% Statistics update
tmp1 = Y'*u;
tmp2 = lambda + u'*u;

S0 = Y'*Y;
S1 = tmp1*Y/tmp2;
S2 = (lambda/tmp2 + tmp1^2/tmp2^2);
